Showcases\essentials 4 endpoints

POST /users/{user_id}/albums

This method creates a new showcase for the specified user.

operationId: create_showcase

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Request Body

required
application/vnd.vimeo.album+json
schema CreateShowcaseRequest
Property Type Required
name string required
sort string optional
theme string optional
layout string optional
privacy string optional
hide_nav boolean optional
password string optional
brand_color string optional
description string optional
review_mode boolean optional
hide_upcoming boolean optional
hide_from_vimeo boolean optional

Responses

201

The showcase was created.

400

A parameter is invalid.

403

The supplied token doesn’t have the proper scopes, or the authenticated user can’t create showcases.

POST /users/{user_id}/albums
DELETE /users/{user_id}/albums/{album_id}

This method deletes the specified showcase. The authenticated user must be the owner of the showcase.

operationId: delete_showcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

Responses

204

The showcase was deleted.

403

The supplied token doesn’t have the proper scopes, or the authenticated user can’t delete the showcase.

404

No such showcase exists.

DELETE /users/{user_id}/albums/{album_id}
GET /users/{user_id}/albums/{album_id}

This method returns the specified showcase. The authenticated user must be the owner of the showcase.

operationId: get_showcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

Responses

200

The showcase was returned.

404

No such showcase exists.

GET /users/{user_id}/albums/{album_id}
PATCH /users/{user_id}/albums/{album_id}

This method edits the specified showcase. The authenticated user must be the owner of the showcase.

operationId: edit_showcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

Request Body

application/vnd.vimeo.album+json
schema EditShowcaseRequest
Property Type Required
url string optional
name string optional
sort string optional
theme string optional
domain string optional
layout string optional
privacy string optional
hide_nav boolean optional
password string optional
brand_color string optional
description string optional
review_mode boolean optional
hide_upcoming boolean optional
use_custom_domain boolean optional

Responses

200

The showcase was edited.

400

A parameter is invalid.

403

The authenticated user doesn’t own the showcase, the supplied token doesn’t have the proper scopes, or the authenticated user can’t edit the showcase.

404

No such showcase exists.

PATCH /users/{user_id}/albums/{album_id}

Showcases\showcasevideos 16 endpoints

GET /albums/{album_id}/available_videos

This method returns every video belonging to the authenticated user that can be added to or removed from the specified showcase.

operationId: ShowcasesShowcaseVideos_listInShowcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by date.
  • default - Sort the results by the default method.
  • duration - Sort the results by duration.
  • last_user_action_event_date - Sort the results by most recent user interaction.
  • likes - Sort the results by number of likes.
  • modified_time - Sort the results by last modification.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

403

Error code 3200: The authenticated user can’t add videos to this showcase.

404

No such showcase exists.

GET /albums/{album_id}/available_videos
GET /me/albums/{album_id}/videos

This method returns every video in the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_listInShowcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

containing_uri query optional string

The page containing the video URI.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Filter the results by the embeddable attribute.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

password query optional string

The password of the showcase.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by date.
  • default - Sort the results by the default method.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • manual - Sort the results by their manual order.
  • modified_time - Sort the results by last modification.
  • plays - Sort the results by number of plays.
weak_search query optional boolean

Whether to include private videos in the search. Please note that a separate search service provides this functionality. The service performs a partial text search on the video’s name.

Responses

200

The videos were returned.

404

No such showcase exists.

GET /me/albums/{album_id}/videos
PUT /me/albums/{album_id}/videos

This method replaces all the videos in the specified showcase with a new set of one or more videos. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_replaceVideos

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

Request Body

required
application/json
schema ShowcasesShowcaseVideosReplaceVideosRequest
Property Type Required
videos string required

Responses

201

The videos were added.

403

The authenticated user can’t add videos to the showcase.

404

No such showcase exists.

PUT /me/albums/{album_id}/videos
DELETE /me/albums/{album_id}/videos/{video_id}

This method removes the specified video from its showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_removeFromShowcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

video_id path required number

The ID of the video.

Responses

204

The video was removed.

403

The supplied token doesn’t have the proper scopes, or the authenticated user can’t remove videos from the showcase.

404

No such showcase exists.

DELETE /me/albums/{album_id}/videos/{video_id}
GET /me/albums/{album_id}/videos/{video_id}

This method returns a single video belonging to the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_getSpecificVideoInShowcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

video_id path required number

The ID of the video.

password query optional string

The password of the showcase.

Responses

200

The video was returned.

404

No such showcase exists, or the video doesn’t belong to it.

GET /me/albums/{album_id}/videos/{video_id}
PUT /me/albums/{album_id}/videos/{video_id}

This method adds a single video to the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_addToShowcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

video_id path required number

The ID of the video.

Responses

204

The video was added.

403

The supplied token doesn’t have the proper scopes, or the authenticated user can’t add videos to the showcase.

404

No such showcase exists.

PUT /me/albums/{album_id}/videos/{video_id}
POST /me/albums/{album_id}/videos/{video_id}/set_album_thumbnail

This method creates a thumbnail image for a showcase from the specified frame of a showcase video. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_createShowcaseThumbnail

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

video_id path required number

The ID of the video.

Request Body

application/json
schema ShowcasesShowcaseVideosCreateShowcaseThumbnailRequest
Property Type Required
time_code number optional

Responses

200

The showcase thumbnail was created.

403

Error code 3429: The authenticated user can’t create a thumbnail for this showcase.

404

Error code 5000: No such showcase, user, or video exists.

500

Error code 4016: An unexpected error occurred.

POST /me/albums/{album_id}/videos/{video_id}/set_album_thumbnail
PATCH /me/albums/{album_id}/videos/{video_id}/set_featured_video

This method sets the featured video of the specified showcase. The authenticated user must be the owner of the showcase, and the featured video must belong to it.

operationId: ShowcasesShowcaseVideos_setFeaturedVideo

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

video_id path required number

The ID of the video.

Responses

200

The video is now the featured video of the showcase.

403

Error code 3429: The authenticated user can’t set the featured video of this showcase.

404

Error code 5000: No such showcase, user, or video exists.

PATCH /me/albums/{album_id}/videos/{video_id}/set_featured_video
GET /users/{user_id}/albums/{album_id}/videos

This method returns every video in the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_getShowcaseVideos

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

containing_uri query optional string

The page containing the video URI.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Filter the results by the embeddable attribute.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

password query optional string

The password of the showcase.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by date.
  • default - Sort the results by the default method.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • manual - Sort the results by their manual order.
  • modified_time - Sort the results by last modification.
  • plays - Sort the results by number of plays.
weak_search query optional boolean

Whether to include private videos in the search. Please note that a separate search service provides this functionality. The service performs a partial text search on the video’s name.

Responses

200

The videos were returned.

404

No such showcase exists.

GET /users/{user_id}/albums/{album_id}/videos
PUT /users/{user_id}/albums/{album_id}/videos

This method replaces all the videos in the specified showcase with a new set of one or more videos. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_replaceShowcaseVideos

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

Request Body

required
application/json
schema ShowcasesShowcaseVideosReplaceShowcaseVideosRequest
Property Type Required
videos string required

Responses

201

The videos were added.

403

The authenticated user can’t add videos to the showcase.

404

No such showcase exists.

PUT /users/{user_id}/albums/{album_id}/videos
DELETE /users/{user_id}/albums/{album_id}/videos/{video_id}

This method removes the specified video from its showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_removeVideoFromShowcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

204

The video was removed.

403

The supplied token doesn’t have the proper scopes, or the authenticated user can’t remove videos from the showcase.

404

No such showcase exists.

DELETE /users/{user_id}/albums/{album_id}/videos/{video_id}
GET /users/{user_id}/albums/{album_id}/videos/{video_id}

This method returns a single video belonging to the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_getSpecificVideoInShowcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

password query optional string

The password of the showcase.

Responses

200

The video was returned.

404

No such showcase exists, or the video doesn’t belong to it.

GET /users/{user_id}/albums/{album_id}/videos/{video_id}
PUT /users/{user_id}/albums/{album_id}/videos/{video_id}

This method adds a single video to the specified showcase. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_addToShowcase

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

204

The video was added.

403

The supplied token doesn’t have the proper scopes, or the authenticated user can’t add videos to the showcase.

404

No such showcase exists.

PUT /users/{user_id}/albums/{album_id}/videos/{video_id}
POST /users/{user_id}/albums/{album_id}/videos/{video_id}/set_album_thumbnail

This method creates a thumbnail image for a showcase from the specified frame of a showcase video. The authenticated user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_createShowcaseThumbnail

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Request Body

application/json
schema ShowcasesShowcaseVideosCreateShowcaseThumbnailRequest1
Property Type Required
time_code number optional

Responses

200

The showcase thumbnail was created.

403

Error code 3429: The authenticated user can’t create a thumbnail for this showcase.

404

Error code 5000: No such showcase, user, or video exists.

500

Error code 4016: An unexpected error occurred.

POST /users/{user_id}/albums/{album_id}/videos/{video_id}/set_album_thumbnail
PATCH /users/{user_id}/albums/{album_id}/videos/{video_id}/set_featured_video

This method sets the featured video of the specified showcase. The authenticated user must be the owner of the showcase, and the featured video must belong to it.

operationId: ShowcasesShowcaseVideos_setFeaturedVideo

Parameters

Name In Required Type Description
album_id path required number

The ID of the showcase.

user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

200

The video is now the featured video of the showcase.

403

Error code 3429: The authenticated user can’t set the featured video of this showcase.

404

Error code 5000: No such showcase, user, or video exists.

PATCH /users/{user_id}/albums/{album_id}/videos/{video_id}/set_featured_video
GET /videos/{video_id}/available_albums

This endpoint returns every showcase to which the authenticated user can add or remove the specified video. The user must be the owner of the showcase.

operationId: ShowcasesShowcaseVideos_listAvailableShowcases

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The showcases were returned.

403

Error code 3433: The authenticated user can’t add the video to or remove the video from any showcases.

GET /videos/{video_id}/available_albums

Subscriptionplans\essentials 1 endpoints

GET /subscription_plans/{tier}

This method returns the specified subscription plan.

operationId: get_plan

Parameters

Name In Required Type Description
tier path required string

The type of subscription plan.

Option descriptions:

  • advanced - The plan type is Vimeo Advanced.
  • business - The plan type is Vimeo Business.
  • free - The plan type is Vimeo Free.
  • live_premium - The plan type is Vimeo Premium.
  • plus - The plan type is Vimeo Plus.
  • pro - The plan type is Vimeo Pro.
  • pro_unlimited - The plan type is Vimeo Pro Unlimited.
  • standard - The plan type is Vimeo Standard.
  • starter - The plan type is Vimeo Starter.

Responses

200

OK

GET /subscription_plans/{tier}

Tags\essentials 1 endpoints

GET /tags/{word}

This method returns the specified tag.

operationId: get_tag

Parameters

Name In Required Type Description
word path required string

The tag to return.

Responses

200

The tag was returned.

GET /tags/{word}

Teams\members 3 endpoints

GET /teammembers/{code}

This method returns information about the membership of the specified team. Usage is currently limited to the team join forms.

operationId: TeamsMembers_getMembershipInformation

Parameters

Name In Required Type Description
code path required string

The code corresponding to the desired team. This value appears under TeamUser > code.

Responses

200

OK

GET /teammembers/{code}
GET /users/{user_id}/team/role

This method returns information about the authenticated user’s role on the specified team owner’s team.

operationId: TeamsMembers_getUserTeamRole

Parameters

Name In Required Type Description
user_id path required number

The ID of the team owner.

Responses

200

OK

GET /users/{user_id}/team/role
GET /users/{user_id}/team_users/{team_user_id}

This method returns information about the membership of the specified team. Usage is currently limited to the team join forms.

operationId: TeamsMembers_getTeamMembershipInformation

Parameters

Name In Required Type Description
team_user_id path required number

The ID of the team user.

user_id path required number

The ID of the team owner.

Responses

200

OK

GET /users/{user_id}/team_users/{team_user_id}

Tutorial\essentials 1 endpoints

GET /tutorial

This method tests whether users who are working through the Getting Started guides have set up their configurations correctly.

operationId: developer_tutorial

Responses

200

OK

GET /tutorial

Users\analytics 2 endpoints

GET /me/analytics

This method returns analytic metrics for the authenticated user.

operationId: UsersAnalytics_getUserMetrics

Parameters

Name In Required Type Description
dimension query required string

The data dimension by which to group the results.

Option descriptions:

  • country - Group the results by country.
  • device_type - Group the results by device type.
  • embed_domain - Group the results by embed domain.
  • total - Group the results by the time range provided.
  • video - Group the results by video.
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter_content query optional string

A comma-separated list of video, folder, or event URIs to filter.

filter_countries query optional array

A comma-separated list of country codes in ISO-3166 format to filter on.

filter_device_types query optional array

A comma-separated list of device types to filter on.

filter_embed_domains query optional array

A comma-separated list of domain names to filter on.

filter_streaming_types query optional array

A comma-separated list of streaming types to filter on.

from query required string

The start date of the range of results in ISO 8601 format.

page query optional number

The page number of the results to show.

per_page query optional number

The maximum number of items returned from the request, up to a limit of 1000 items. The default value is 50.

sort query optional string

The way to sort the results.

Option descriptions:

  • average_percent_watched - Sort the results by mean seconds played.
  • average_time_watched - Sort the results by mean percentage played.
  • comments - Sort the results by the number of comments.
  • country - Sort the results by country.
  • default - Sort the results by the values of both the dimension and time_interval fields.
  • device_type - Sort the results by device type.
  • downloads - Sort the results by the number of downloads.
  • embed_domain - Sort the results by embed domain.
  • finishes - Sort the results by the number of complete plays.
  • impressions - Sort the results by the number of impressions.
  • like - Sort the results by the number of likes.
  • time - Sort the results by the value of the start_date field. This option is available only when the value of time_interval isn’t none.
  • total_time_watched - Sort the results by total seconds played.
  • unique_impressions - Sort the results by unique impressions.
  • unique_viewers - Sort the results by unique viewers.
  • video - Sort the results by video ID.
  • views - Sort the results by the number of views.
time_interval query optional string

The interval by which to aggregate the data according to the specified data dimension. The default value is none.

Option descriptions:

  • day - Aggregate the results by day according to the specified data dimension.
  • month - Aggregate the results by month according to the specified data dimension.
  • none - The results are not aggregated by time interval.
  • week - Aggregate the results by week according to the specified data dimension.
  • year - Aggregate the results by year according to the specified data dimension.
to query required string

The end date of the range of results in ISO 8601 format.

Responses

200

The analytics were returned.

GET /me/analytics
GET /users/{user_id}/analytics

This method returns analytic metrics for the authenticated user.

operationId: UsersAnalytics_getMetrics

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

dimension query required string

The data dimension by which to group the results.

Option descriptions:

  • country - Group the results by country.
  • device_type - Group the results by device type.
  • embed_domain - Group the results by embed domain.
  • total - Group the results by the time range provided.
  • video - Group the results by video.
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter_content query optional string

A comma-separated list of video, folder, or event URIs to filter.

filter_countries query optional array

A comma-separated list of country codes in ISO-3166 format to filter on.

filter_device_types query optional array

A comma-separated list of device types to filter on.

filter_embed_domains query optional array

A comma-separated list of domain names to filter on.

filter_streaming_types query optional array

A comma-separated list of streaming types to filter on.

from query required string

The start date of the range of results in ISO 8601 format.

page query optional number

The page number of the results to show.

per_page query optional number

The maximum number of items returned from the request, up to a limit of 1000 items. The default value is 50.

sort query optional string

The way to sort the results.

Option descriptions:

  • average_percent_watched - Sort the results by mean seconds played.
  • average_time_watched - Sort the results by mean percentage played.
  • comments - Sort the results by the number of comments.
  • country - Sort the results by country.
  • default - Sort the results by the values of both the dimension and time_interval fields.
  • device_type - Sort the results by device type.
  • downloads - Sort the results by the number of downloads.
  • embed_domain - Sort the results by embed domain.
  • finishes - Sort the results by the number of complete plays.
  • impressions - Sort the results by the number of impressions.
  • like - Sort the results by the number of likes.
  • time - Sort the results by the value of the start_date field. This option is available only when the value of time_interval isn’t none.
  • total_time_watched - Sort the results by total seconds played.
  • unique_impressions - Sort the results by unique impressions.
  • unique_viewers - Sort the results by unique viewers.
  • video - Sort the results by video ID.
  • views - Sort the results by the number of views.
time_interval query optional string

The interval by which to aggregate the data according to the specified data dimension. The default value is none.

Option descriptions:

  • day - Aggregate the results by day according to the specified data dimension.
  • month - Aggregate the results by month according to the specified data dimension.
  • none - The results are not aggregated by time interval.
  • week - Aggregate the results by week according to the specified data dimension.
  • year - Aggregate the results by year according to the specified data dimension.
to query required string

The end date of the range of results in ISO 8601 format.

Responses

200

The analytics were returned.

GET /users/{user_id}/analytics

Users\essentials 4 endpoints

GET /me

This method returns the authenticated user.

operationId: UsersEssentials_getUser

Responses

200

The user was returned.

GET /me
PATCH /me

This method edits the Vimeo account of the authenticated user.

operationId: UsersEssentials_editVimeoAccount

Request Body

application/vnd.vimeo.user+json
schema UsersEssentialsEditVimeoAccountRequest
Property Type Required
bio string optional
link string optional
name string optional
gender string optional
videos object optional
privacy object optional
add boolean optional
view string optional
embed string optional
comments string optional
download boolean optional
location string optional
password string optional
content_filter array optional

Responses

200

The user’s Vimeo account was edited.

400

Error code 2204: A parameter is invalid.

PATCH /me
GET /users/{user_id}

This method returns the authenticated user.

operationId: get_user

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Responses

200

The user was returned.

GET /users/{user_id}
PATCH /users/{user_id}

This method edits the Vimeo account of the authenticated user.

operationId: edit_user

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Request Body

application/vnd.vimeo.user+json
schema EditUserRequest
Property Type Required
bio string optional
link string optional
name string optional
gender string optional
videos object optional
privacy object optional
add boolean optional
view string optional
embed string optional
comments string optional
download boolean optional
location string optional
password string optional
content_filter array optional

Responses

200

The user’s Vimeo account was edited.

400

Error code 2204: A parameter is invalid.

PATCH /users/{user_id}

Users\feeds 2 endpoints

GET /me/feed

This method returns every video in the authenticated user’s feed.

operationId: UsersFeeds_getUserFeedVideos

Parameters

Name In Required Type Description
offset query optional string

The pagination offset. We recommend that you use the pagination links in the feed response instead of working with this value directly. For more details, see our pagination documentation.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

type query optional string

The feed type.

Option descriptions:

  • appears - Videos in which the user appears.
  • category_featured - Featured videos.
  • channel - Channel videos.
  • facebook_feed - Videos from the user’s Facebook feed.
  • following - Videos from accounts that the user follows.
  • group - Group videos.
  • likes - Liked videos.
  • ondemand_publish - On Demand videos.
  • share - Shared videos.
  • tagged_with - Tagged videos.
  • twitter_timeline - Videos from the user’s Twitter timeline.
  • uploads - Uploaded videos.

Responses

200

The videos were returned.

GET /me/feed
GET /users/{user_id}/feed

This method returns every video in the authenticated user’s feed.

operationId: get_feed

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

offset query optional string

The pagination offset. We recommend that you use the pagination links in the feed response instead of working with this value directly. For more details, see our pagination documentation.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

type query optional string

The feed type.

Option descriptions:

  • appears - Videos in which the user appears.
  • category_featured - Featured videos.
  • channel - Channel videos.
  • facebook_feed - Videos from the user’s Facebook feed.
  • following - Videos from accounts that the user follows.
  • group - Group videos.
  • likes - Liked videos.
  • ondemand_publish - On Demand videos.
  • share - Shared videos.
  • tagged_with - Tagged videos.
  • twitter_timeline - Videos from the user’s Twitter timeline.
  • uploads - Uploaded videos.

Responses

200

The videos were returned.

GET /users/{user_id}/feed

Users\followers 12 endpoints

GET /me/followers

This method returns every follower of the authenticated user.

operationId: UsersFollowers_listAll

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date followed.

Responses

200

The user’s followers were returned.

GET /me/followers
GET /me/following

This method returns every user that the authenticated user is following.

operationId: UsersFollowers_listOfFollowingUsers

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • online - Return users who are currently online.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date followed.

Responses

200

The followed users were returned.

GET /me/following
POST /me/following

This method causes the authenticated user to become a follower of multiple users. In the body of the request, specify the list of users to follow as
an array of URIs, where user01_id, user02_id, user03_id, and so on, are the user IDs of the users in question:

{
 [
     {"uri" : "/users/{user01_id}"},
     {"uri" : "/users/{user02_id}"},
     {"uri" : "/users/{user03_id}"}
 ]
}
operationId: UsersFollowers_followMultipleUsers

Request Body

required
application/json
schema UsersFollowersFollowMultipleUsersRequest
Property Type Required
users array required

Responses

204

The users were followed.

400
  • Error code 2205: The request body is empty, the users array is invalid, or the list of users doesn’t contain URIs.
  • Error code 2900: A user in the list doesn’t exist.
  • Error code 2901: The list contains more than 100 users.
401

Error code 8000: The user access token is invalid.

403
  • Error code 3417: The authenticated user can’t follow other users.
  • Error code 3438: The authenticated user can’t follow other users because an email verification check hasn’t been completed.
429

Error code 9006: The authenticated user is rate-limited from following other users.

500

Error code 4005: An unexpected error occurred.

POST /me/following
DELETE /me/following/{follow_user_id}

This method causes the authenticated user to stop following another user.

operationId: UsersFollowers_stopFollowingUser

Parameters

Name In Required Type Description
follow_user_id path required number

The ID of the user to unfollow.

Responses

204

The user was unfollowed.

DELETE /me/following/{follow_user_id}
GET /me/following/{follow_user_id}

This method determines whether the authenticated user is a follower of the specified user.

operationId: UsersFollowers_checkFollowingUser

Parameters

Name In Required Type Description
follow_user_id path required number

The ID of the user to follow.

Responses

204

The authenticated user follows the specified user.

404

The authenticated user doesn’t follow the specified user.

GET /me/following/{follow_user_id}
PUT /me/following/{follow_user_id}

This method causes the authenticated user to become the follower of the specified user.

operationId: UsersFollowers_followSpecificUser

Parameters

Name In Required Type Description
follow_user_id path required number

The ID of the user to follow.

Responses

204

The user was followed.

403
  • The authenticated user can’t follow other users.
  • Error code 3438: The authenticated user can’t follow other users because an email verification check hasn’t been completed.
PUT /me/following/{follow_user_id}
GET /users/{user_id}/followers

This method returns every follower of the authenticated user.

operationId: get_followers

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date followed.

Responses

200

The user’s followers were returned.

GET /users/{user_id}/followers
GET /users/{user_id}/following

This method returns every user that the authenticated user is following.

operationId: UsersFollowers_listOfFollowedUsers

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • online - Return users who are currently online.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date followed.

Responses

200

The followed users were returned.

GET /users/{user_id}/following
POST /users/{user_id}/following

This method causes the authenticated user to become a follower of multiple users. In the body of the request, specify the list of users to follow as
an array of URIs, where user01_id, user02_id, user03_id, and so on, are the user IDs of the users in question:

{
 [
     {"uri" : "/users/{user01_id}"},
     {"uri" : "/users/{user02_id}"},
     {"uri" : "/users/{user03_id}"}
 ]
}
operationId: follow_users

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Request Body

required
application/json
schema FollowUsersRequest
Property Type Required
users array required

Responses

204

The users were followed.

400
  • Error code 2205: The request body is empty, the users array is invalid, or the list of users doesn’t contain URIs.
  • Error code 2900: A user in the list doesn’t exist.
  • Error code 2901: The list contains more than 100 users.
401

Error code 8000: The user access token is invalid.

403
  • Error code 3417: The authenticated user can’t follow other users.
  • Error code 3438: The authenticated user can’t follow other users because an email verification check hasn’t been completed.
429

Error code 9006: The authenticated user is rate-limited from following other users.

500

Error code 4005: An unexpected error occurred.

POST /users/{user_id}/following
DELETE /users/{user_id}/following/{follow_user_id}

This method causes the authenticated user to stop following another user.

operationId: unfollow_user

Parameters

Name In Required Type Description
follow_user_id path required number

The ID of the user to unfollow.

user_id path required number

The ID of the user.

Responses

204

The user was unfollowed.

DELETE /users/{user_id}/following/{follow_user_id}
GET /users/{user_id}/following/{follow_user_id}

This method determines whether the authenticated user is a follower of the specified user.

operationId: UsersFollowers_checkFollowingStatus

Parameters

Name In Required Type Description
follow_user_id path required number

The ID of the user to follow.

user_id path required number

The ID of the user.

Responses

204

The authenticated user follows the specified user.

404

The authenticated user doesn’t follow the specified user.

GET /users/{user_id}/following/{follow_user_id}
PUT /users/{user_id}/following/{follow_user_id}

This method causes the authenticated user to become the follower of the specified user.

operationId: follow_user

Parameters

Name In Required Type Description
follow_user_id path required number

The ID of the user to follow.

user_id path required number

The ID of the user.

Responses

204

The user was followed.

403
  • The authenticated user can’t follow other users.
  • Error code 3438: The authenticated user can’t follow other users because an email verification check hasn’t been completed.
PUT /users/{user_id}/following/{follow_user_id}

Users\pictures 4 endpoints

GET /me/pictures

This method returns every portrait image belonging to the authenticated user.

operationId: UsersPictures_list

Parameters

Name In Required Type Description
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The portrait images were returned.

GET /me/pictures
POST /me/pictures

This method adds a portrait image to the authenticated user’s Vimeo account. Send the binary data of the image file to the location that you receive
from the link field in the response. For step-by-step instructions, see
Working with Thumbnail Uploads.

operationId: UsersPictures_addPortraitImage

Responses

200

The portrait image was added.

POST /me/pictures
DELETE /me/pictures/{portraitset_id}

This method removes the specified portrait image from the authenticated user’s Vimeo account.

operationId: UsersPictures_removePortraitImage

Parameters

Name In Required Type Description
portraitset_id path required number

The ID of the picture.

Responses

204

The portrait image was removed.

DELETE /me/pictures/{portraitset_id}
GET /me/pictures/{portraitset_id}

This method returns a single portrait image belonging to the authenticated user.

operationId: UsersPictures_getSpecificPictureBelongingToUser

Parameters

Name In Required Type Description
portraitset_id path required number

The ID of the picture.

Responses

200

The portrait image was returned.

GET /me/pictures/{portraitset_id}
Load more endpoints